Skip to main content
GET
/
fastedge
/
v1
/
admin
/
clients
/
{client_id}
Get status and limits for the specified client
curl --request GET \
  --url https://api.gcore.com/fastedge/v1/admin/clients/{client_id} \
  --header 'Authorization: <api-key>'
{
  "status": 3,
  "hourly_consumption": 123,
  "daily_consumption": 123,
  "app_count": 123,
  "monthly_consumption": 123,
  "networks": [
    {
      "name": "<string>",
      "is_default": true
    }
  ],
  "plan_id": 123,
  "reseller_id": 123,
  "plan": "<string>"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

client_id
integer<int64>
required

Unique identifier of the client

Response

Returns client status, limits, and quota information

status
integer
required

Status code:
1 - enabled
2 - disabled
5 - suspended

Required range: 1 <= x <= 5
hourly_consumption
integer
required

Actual number of calls for all apps during the current hour

daily_consumption
integer
required

Actual number of calls for all apps during the current day (UTC)

app_count
integer
required

Actual allowed number of apps

monthly_consumption
integer
required

Actual number of calls for all apps during the current calendar month (UTC)

networks
object[]
required

List of enabled networks

plan_id
integer<int64>
required

Plan ID

reseller_id
integer<int64>
required

Reseller ID

plan
string

Plan name